{
  "name": "{{ agave.appsPrefix }}-samtools-sam-to-bam-gf2",
  "version": "1.10.01",
  "label": "Convert SAM file to BAM file using SAMTools",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/samtools-sam-to-bam-gf2-1.10-01",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "samtools-sam-to-bam-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input",
      "value": {
        "required": false,
        "default": "input.sam"
      }
    }
  ],
  "parameters": [
    { "id": "output",
      "value": {
        "required": false,
        "default": "output.bam",
        "type": "string"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": true,
        "default": "",
        "type": "string"
      }
    }
  ]
}